<?php

/* PLIK KONFIGURACYJNY - TU DOKONAJ ZMIAN KONFIGURACJI */

/* Zmienna $localpolicy okresla sposob tworzenia adresow lokalnych, czyli
** tego, co znajduje sie przed znakiem "@". Do wyboru masz kilka metod:
**   "dictionary" - utworz adres skladajac go z X losowych slow ze slownika,
**   "randomtext" - utworz adres z X/2 do X losowych znakow.
** Dodatkowo nalezy okreslic $localparam - wartosc zmiennej X.
*/

$localpolicy = "dictionary";
$localparam = 1;

/* Zmienna $domainpolicy okresla sposob tworzenia adresow domen, czyli
** tego, co znajduje sie po znaku "@". Do wyboru masz kilka metod:
**   "knowndomains" - wybierz losowa domene z listy,
**   "dictdomain" - utworz adres skladajac go z X slow ze slownika,
**   "randomdomain" - utworz adres z X/2 do X losowych znakow.
** Dodatkowo w przypadku opcji "dictdomain" i "randomdomain" nalezy okreslic
** $domainparam - wartosc zmiennej X.
*/

$domainpolicy = "knowndomains";
$domainparam = 10;

/* Jesli chcesz upewnic sie, ze adresy zawarte na stronie nie kieruja na
** prawdziwe domeny (aby nikomu nie zaszkodzic np. przy stosowaniu opcji
** "dictdomain" i "randomdomain"), mozesz zastosowac opcje "knowndomains"
** i wskazac w zmiennej $domainfile plik wygenerowany przy uzyciu zalaczonego
** skryptu w jezyku Python. W pakiecie znajduje sie juz jeden taki plik
** o nazwie "files/inexistantdomains.txt", ale jesli chcesz wygenerowac
** wlasny plik, uzyj skryptu "extras/feedharvey.py". Skrypt generuje listy
** domen ze slownika lub z losowych znakow, ale kazda wygenerowana domene
** sprawdza w DNS-ie (tzn. sprawdza, czy taka domena istnieje) i zapisuje
** we wskazanym pliku tekstowym tylko te, ktore nie istnieja.
/*

/* Zmienne $domainfile i $dictionaryfile wskazuja lokalizacje plikow,
** w ktorych przechowywane sa odpowiednio nazwy domen i slowa ze slownika.
** Zmienna $domainext wskazuje lokalizacje pliku z rozszerzeniami domen.
** Z kolei zmienna $titletext wskazuje lokalizacje pliku z tytulami strony
** (wybierany jest losowo jeden tytul - uwaga, nie uzywaj tytulow, ktore
** moga ulatwic spamerom ominiecie stron, czyli nie uzywaj slow takich
** jak "spam", "harvester" itp.).
**
** Wszystkie te pliki sa prostymi plikami tekstowymi, w ktorych wpisy powinny
** byc rozdzielane znakami nowych linii.
**
** UWAGA! Cale pliki ladowane sa do pamieci przy generowaniu strony, wiec
** nie przesadzaj z ich wielkoscia!
*/

$domainfile = "files/domains.txt";
$dictionaryfile = "files/dictionary.txt";
$domainext = "files/extensions.txt";
$titletext = "files/titles.txt";

/* Zmienna $template okresla lokalizacje wzorca PHP/HTML zawierajacego
** graficzna reprezentacje strony. Wzorce znajduja sie w katalogu
** templates. Domyslnie dostepny jest tylko jeden wzorzec przygotowany
** przez Riddla, ale osoby znajace HTML i CSS nie beda mialy problemow,
** by przygotowac wlasne.
*/

$template = "templates/simple/template.php";

/* Zmienna $count okresla liczbe adresow na jednej stronie generowanej
** przez skrypt.
*/

$count = 100;

?>
